Skip to main content
GET
/
api
/
v1
/
agents
List agents owned by the caller.
curl --request GET \
  --url https://openapi.beeos.ai/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "instanceId": "<string>",
      "name": "<string>",
      "status": "<string>",
      "mcpEnabled": true,
      "visibility": "private",
      "description": "<string>",
      "displayName": "<string>",
      "slug": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Pass a user JWT or an oag_ User API Key on the Authorization: Bearer <token> header.

Query Parameters

instance_id
string

Filter agents by instance ID.

Maximum string length: 128
limit
integer<int32>
default:20
offset
integer<int32>
default:0

Response

200 - application/json

Paginated list of agents.

success
boolean
required
data
object[]
required
total
integer<int64>
required